New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Failed to correctly acquire installer_nodejs_windows.msi file: CRC error. #402

Closed
JSonAR2 opened this Issue Jan 15, 2017 · 20 comments

Comments

Projects
None yet
@JSonAR2

JSonAR2 commented Jan 15, 2017

Just go this error message when running set up, downloaded java and Git, and then when it went on to install the program, this keeps coming up

@Exarchias

This comment has been minimized.

Show comment
Hide comment
@Exarchias

Exarchias Jan 15, 2017

As i noticed it is coming every time when someone is trying to install Aptana studio 3:
This the thread with the problem and the solution on stack overflow:
"Failed to correctly acquire intaller_nodejs_windows.msi file: CRC error"
and it needs somehow to make the installer to install this file first:
node.js necessary file
I hope it helps.
Best Regards
Robert.

Exarchias commented Jan 15, 2017

As i noticed it is coming every time when someone is trying to install Aptana studio 3:
This the thread with the problem and the solution on stack overflow:
"Failed to correctly acquire intaller_nodejs_windows.msi file: CRC error"
and it needs somehow to make the installer to install this file first:
node.js necessary file
I hope it helps.
Best Regards
Robert.

@mostevercxz

This comment has been minimized.

Show comment
Hide comment
@mostevercxz

mostevercxz Apr 6, 2017

nodejs necessary file

The link above is broken now :-(
I googled and could not find a way to download the nodejs file now..
Can anybody post a solution here? :-(

mostevercxz commented Apr 6, 2017

nodejs necessary file

The link above is broken now :-(
I googled and could not find a way to download the nodejs file now..
Can anybody post a solution here? :-(

@acharron

This comment has been minimized.

Show comment
Hide comment
@acharron

acharron Apr 10, 2017

Just followed this thread: http://stackoverflow.com/questions/33364694/product-aptana-studio-error-4155-failed-to-correctly-acquire-installer-node and it seems to be working fine enough.

Basically, create the folder you want to extract Aptana to, and then use this command:
Aptana_Studio_3_Setup_3.6.1.exe /extract:"folder"

acharron commented Apr 10, 2017

Just followed this thread: http://stackoverflow.com/questions/33364694/product-aptana-studio-error-4155-failed-to-correctly-acquire-installer-node and it seems to be working fine enough.

Basically, create the folder you want to extract Aptana to, and then use this command:
Aptana_Studio_3_Setup_3.6.1.exe /extract:"folder"

@cmfaustino

This comment has been minimized.

Show comment
Hide comment
@cmfaustino

cmfaustino Apr 20, 2017

@mostevercxz,
when a link is broken, it is time to go to http://archive.org/web/
and type in the broken url, to browse history.
Or, in firefox browser, I use this addon https://addons.mozilla.org/firefox/addon/resurrect-pages/
which makes my life simpler.
After this, the addon selected the most recent version of the page in the history,
and that version redirects to another url history which prompts the user to download the file
(the same prompt that you would get if the original link wasn't broken).

cmfaustino commented Apr 20, 2017

@mostevercxz,
when a link is broken, it is time to go to http://archive.org/web/
and type in the broken url, to browse history.
Or, in firefox browser, I use this addon https://addons.mozilla.org/firefox/addon/resurrect-pages/
which makes my life simpler.
After this, the addon selected the most recent version of the page in the history,
and that version redirects to another url history which prompts the user to download the file
(the same prompt that you would get if the original link wasn't broken).

@JSonAR2 JSonAR2 closed this Apr 20, 2017

@levuimata

This comment has been minimized.

Show comment
Hide comment
@levuimata

levuimata May 2, 2017

@cmfaustino bro thanks its worked for me

levuimata commented May 2, 2017

@cmfaustino bro thanks its worked for me

@Ezyweb-uk

This comment has been minimized.

Show comment
Hide comment
@Ezyweb-uk

Ezyweb-uk Jun 1, 2017

I found the download link for latest version of node.js at https://nodejs.org/en/

Ezyweb-uk commented Jun 1, 2017

I found the download link for latest version of node.js at https://nodejs.org/en/

@joanvanzyl

This comment has been minimized.

Show comment
Hide comment
@joanvanzyl

joanvanzyl Jun 2, 2017

The latest node.js versions wouldn't work for my Aptana, but an older version did which I found here: http://titanium-studio.s3.amazonaws.com/nodejs/node-v0.10.13-x86.msi

joanvanzyl commented Jun 2, 2017

The latest node.js versions wouldn't work for my Aptana, but an older version did which I found here: http://titanium-studio.s3.amazonaws.com/nodejs/node-v0.10.13-x86.msi

@deanambro101

This comment has been minimized.

Show comment
Hide comment
@deanambro101

deanambro101 Jul 13, 2017

That was just annoying error and nothing else. I found Exarchias comment very helpful and had fix my error. But later on when I working on a project for zeedigitizing at the time of accomplishment I unexpected error which couldn't be determined by mine. I got success after complete reinstallation.

deanambro101 commented Jul 13, 2017

That was just annoying error and nothing else. I found Exarchias comment very helpful and had fix my error. But later on when I working on a project for zeedigitizing at the time of accomplishment I unexpected error which couldn't be determined by mine. I got success after complete reinstallation.

@willerhreis

This comment has been minimized.

Show comment
Hide comment
@willerhreis

willerhreis Aug 2, 2017

@cmfaustino Thanks! It works like a charm!

willerhreis commented Aug 2, 2017

@cmfaustino Thanks! It works like a charm!

@sushen

This comment has been minimized.

Show comment
Hide comment
@sushen

sushen Sep 25, 2017

Thanks #Joanvavzyl , i just install your provided node.js and it wor just fine.
I try it many way,

  1. follow stakworkflow
    2.follow you tube tutorials
    none of theme work. your solution work . thanks again.

sushen commented Sep 25, 2017

Thanks #Joanvavzyl , i just install your provided node.js and it wor just fine.
I try it many way,

  1. follow stakworkflow
    2.follow you tube tutorials
    none of theme work. your solution work . thanks again.
@sushen

This comment has been minimized.

Show comment
Hide comment
@sushen

sushen Sep 25, 2017

^^^^^**** OK . Workflow on Windows64 bit

  1. install 32 bit java sdk / not 64 bit it didnt work . >>> 2. Itstall Node.js the link #Joanvavzyl prodive >>>
  2. install Aptan Studio then it only Work. ......(After trying more than 2 days I just invent that thanks all the openscorce people who helpme with there writing.)

sushen commented Sep 25, 2017

^^^^^**** OK . Workflow on Windows64 bit

  1. install 32 bit java sdk / not 64 bit it didnt work . >>> 2. Itstall Node.js the link #Joanvavzyl prodive >>>
  2. install Aptan Studio then it only Work. ......(After trying more than 2 days I just invent that thanks all the openscorce people who helpme with there writing.)
@Cacalotlcoatl

This comment has been minimized.

Show comment
Hide comment
@Cacalotlcoatl

Cacalotlcoatl Nov 12, 2017

Verified on Win8 x64. DO NOT download a later version or 64 bit version of node.js! You must install from https://nodejs.org/download/release/v0.10.13/. (Link verified as of this writing). You would think the writers of a programming IDE would maintain their packages better, only 8 versions behind on this... just saying. Installed in linux/gnu much more easily.

Cacalotlcoatl commented Nov 12, 2017

Verified on Win8 x64. DO NOT download a later version or 64 bit version of node.js! You must install from https://nodejs.org/download/release/v0.10.13/. (Link verified as of this writing). You would think the writers of a programming IDE would maintain their packages better, only 8 versions behind on this... just saying. Installed in linux/gnu much more easily.

@ghost

This comment has been minimized.

Show comment
Hide comment
@ghost

ghost Nov 18, 2017

Another solution is here, just this work to me:
https://www.youtube.com/watch?v=ahc8aIHlpxo
He just move the exe archive to C: and run cmd C:\aptna.exe /passive /norestart and ignore the node.js

ghost commented Nov 18, 2017

Another solution is here, just this work to me:
https://www.youtube.com/watch?v=ahc8aIHlpxo
He just move the exe archive to C: and run cmd C:\aptna.exe /passive /norestart and ignore the node.js

@much2k3

This comment has been minimized.

Show comment
Hide comment
@much2k3

much2k3 Dec 21, 2017

It is crazy, i can't explain why this works.
The current version of Aptana requires a Node version between 0.8.X and 0.11.X

much2k3 commented Dec 21, 2017

It is crazy, i can't explain why this works.
The current version of Aptana requires a Node version between 0.8.X and 0.11.X

@sushen

This comment has been minimized.

Show comment
Hide comment
@sushen

sushen Dec 22, 2017

sushen commented Dec 22, 2017

@preethi-pm

This comment has been minimized.

Show comment
Hide comment
@preethi-pm

preethi-pm Feb 16, 2018

@joanvanzyl , It worked perfectly for me.. thank you.

preethi-pm commented Feb 16, 2018

@joanvanzyl , It worked perfectly for me.. thank you.

@sarabisohrab

This comment has been minimized.

Show comment
Hide comment
@sarabisohrab

sarabisohrab Mar 18, 2018

I can not believe!!!! It worked!!!
Thanks a lot ghost one!

sarabisohrab commented Mar 18, 2018

I can not believe!!!! It worked!!!
Thanks a lot ghost one!

@nilarte

This comment has been minimized.

Show comment
Hide comment
@nilarte

nilarte Mar 20, 2018

@joanvanzyl Thanks downloading and installing specified nodejs version worked for me :)

nilarte commented Mar 20, 2018

@joanvanzyl Thanks downloading and installing specified nodejs version worked for me :)

@ginettanyk

This comment has been minimized.

Show comment
Hide comment
@ginettanyk

ginettanyk May 5, 2018

Thanks everyone for the help.
Once I tracked down the nodejs version, thanks to @joanvanzyl, installation was flawless.
I also verified that I an using Java x86 runtime.
ginettanyk

ginettanyk commented May 5, 2018

Thanks everyone for the help.
Once I tracked down the nodejs version, thanks to @joanvanzyl, installation was flawless.
I also verified that I an using Java x86 runtime.
ginettanyk

@salimmakhdom

This comment has been minimized.

Show comment
Hide comment
@salimmakhdom

salimmakhdom Aug 2, 2018

thanks @joanvanzyl it works 👍

salimmakhdom commented Aug 2, 2018

thanks @joanvanzyl it works 👍

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment